Bug 1284755 - Installer DDL scripts are not tolerant for pre-existing tables
Installer DDL scripts are not tolerant for pre-existing tables
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR2
: 6.2.0
Assigned To: Thomas Hauser
Dominik Hanak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 02:11 EST by Dominik Hanak
Modified: 2015-12-02 02:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik Hanak 2015-11-24 02:11:46 EST
Description of problem:
DDL scripts used by installer don't tolerate pre-exisiting DB tables.
Therefore the installation will fail if DB specified for Quartz already has them created.

Version-Release number of selected component (if applicable):
6.2.0.CR1

How reproducible:
always

Steps to Reproduce:
1. Run Installer
2. Proceed to Advanced configuration
3. Select Install with cluster configuration
4. Use databse with pre-exisiting tables (use old db with qrtz tables)
5. Finish

Actual results:
Installation fails

Expected results:
Installation succeed. it would also be nice to inform user that he 
has the tables already created.

Additional info:
Comment 2 Dominik Hanak 2015-11-24 03:40:29 EST
Additional info:
Also, when installation fails this way. There is no message displayed to user
stating what was the cause and I am also unable to find any hint in InstallationLogs.
Comment 3 Thomas Hauser 2015-11-27 10:51:38 EST
I've modified the job to tolerate failures, and also improved the logging. Here's the new output:

Success: http://pastebin.test.redhat.com/331289
Failures: http://pastebin.test.redhat.com/331288
Comment 4 Dominik Hanak 2015-12-02 02:21:58 EST
Verified in 6.2.0.CR2.

Note You need to log in before you can comment on or make changes to this bug.